<template>
  <v-app id="inspire">
    <adm-navigation></adm-navigation>
    <v-content>
      <v-container fluid>
        <v-layout justify-center align-center>
          <router-view :key="$route.fullPath"></router-view>
        </v-layout>
      </v-container>
    </v-content>
  </v-app>
</template>
<style lang="scss">
@import "@/scss/styles-admin.scss";
</style>

<script>
import AdmNavigation from "@/components/Admin/AdmNavigation.vue";
// import { mapState } from "vuex";
export default {
  // computed: {
  //   ...mapState({
  //     userStore: state => state.userStore
  //   })
  // },
  created() {
    // this.$store.dispatch("setDBUser");
    // console.log("test store", this.$store.state);
  },
  components: {
    "adm-navigation": AdmNavigation
  },
  data() {
    return {
      dialog: false
    };
  }
};
</script>
